--- old/usr/src/test/smbclient-tests/cmd/mkfile_mmap/mkfile_mmap.c	Mon Jan  7 12:59:11 2019
+++ new/usr/src/test/smbclient-tests/cmd/mkfile_mmap/mkfile_mmap.c	Mon Jan  7 12:59:11 2019
@@ -12,6 +12,7 @@
 /*
  * Copyright 2012 Jilin Xpd <jilinxpd@gmail.com>
  * Copyright 2018 Nexenta Systems, Inc.
+ * Copyright (c) 2018, Joyent, Inc.
  */
 
 /*
@@ -139,21 +140,21 @@
 			break;
 		}
 
-	/* tag each block (to aid debug) */
-	p = file_addr;
-	q = file_addr + blksize - K;
-	memset(p, ' ', K);
-	snprintf(p, K, "\nblk=%d\n\n", i);
-	p += K;
-
-		/* fill something into mapped addr */
-	while (p < q) {
+		/* tag each block (to aid debug) */
+		p = file_addr;
+		q = file_addr + blksize - K;
 		memset(p, ' ', K);
-		snprintf(p, K, "\noff=0x%x\n\n",
-		    (i * blksize) + (p - file_addr));
+		snprintf(p, K, "\nblk=%d\n\n", i);
 		p += K;
-	}
 
+		/* fill something into mapped addr */
+		while (p < q) {
+			memset(p, ' ', K);
+			snprintf(p, K, "\noff=0x%x\n\n",
+			    (i * blksize) + (p - file_addr));
+			p += K;
+		}
+
 		/* sync mapped pages to file */
 		if (msync(file_addr, blksize, MS_SYNC) == -1) {
 			fprintf(stderr, "msync %s error=%d\n", filename, errno);
